<?php
class Cuotas_model
{
    public function select( $modo, $select = array(), $condicion = array(), $order = '' )
    {
        if( isset( $condicion['venta_id'] ) )
        {
            $o_VTA_DocumentoBN = VTA_DocumentoFN::selectByDocumentNumber( $condicion['venta_id'] );
            if( $o_VTA_DocumentoBN->getFormaPagoCod() == "CRE" )
            {
                $a_Data = array
                (
                    "id" => 1,
                    "venta_id" => $condicion['venta_id'],
                    "monto" => $o_VTA_DocumentoBN->getMontoTotal(),
                    "fecha_cuota" => substr( $o_VTA_DocumentoBN->getFechaVencimiento(), 0, 10 ),
                    "estado" => "A",
                    "empleado_insert" => "",
                    "fecha_insert" => "",
                    "empleado_update" => "",
                    "fecha_update" => ""
                );

                $a_Row[] = $a_Data;

                return $a_Row;
            }
        }
        return array();
    }
}
